As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 730273 - Hardcoded add-on's on about:home linked to wrong base URL
: Hardcoded add-on's on about:home linked to wrong base URL
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: ARM Android
: P2 normal (vote)
: Firefox 14
Assigned To: Lucas Rocha (:lucasr)
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks: 710323
  Show dependency treegraph
 
Reported: 2012-02-24 06:11 PST by Aaron Train [:aaronmt]
Modified: 2012-05-22 08:09 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
verified
verified
+


Attachments
Cleanup recommended-addons.json to only contain necessary properties (7.12 KB, patch)
2012-02-24 10:04 PST, Lucas Rocha (:lucasr)
mark.finkle: review-
Details | Diff | Splinter Review
Cleanup recommended-addons.json to only contain necessary properties (7.17 KB, patch)
2012-03-30 08:27 PDT, Lucas Rocha (:lucasr)
mark.finkle: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description User image Aaron Train [:aaronmt] 2012-02-24 06:11:21 PST
Oddly, the add-ons on about:home are linked (aAddon.homepageURL) to /mobile/, they should be linked to /android/ on AMO. I say oddly because extensions.getAddons.browseAddons is correctly valued.
Comment 1 User image Mark Finkle (:mfinkle) (use needinfo?) 2012-02-24 06:14:58 PST
Which add-ons do you see? We have a hardcoded JSON file in the APK we use if there is no JSON in the profile. The hardcoded file might need to be updated.
Comment 2 User image Aaron Train [:aaronmt] 2012-02-24 06:39:21 PST
I see the same two that have been around: Cleary/Clear Mobile History
Comment 3 User image Aaron Train [:aaronmt] 2012-02-24 07:09:11 PST
Ok, so I guess it's these

http://mxr.mozilla.org/mozilla-central/source/mobile/android/app/recommended-addons.json?raw=1
Comment 4 User image Mark Finkle (:mfinkle) (use needinfo?) 2012-02-24 07:10:22 PST
(In reply to Aaron Train [:aaronmt] from comment #3)
> Ok, so I guess it's these
> 
> http://mxr.mozilla.org/mozilla-central/source/mobile/android/app/recommended-
> addons.json?raw=1

Right. That file should be updated. It has too much data in it too.
Comment 5 User image Lucas Rocha (:lucasr) 2012-02-24 10:04:24 PST
Created attachment 600426 [details] [diff] [review]
Cleanup recommended-addons.json to only contain necessary properties
Comment 6 User image Mark Finkle (:mfinkle) (use needinfo?) 2012-02-24 10:48:59 PST
Comment on attachment 600426 [details] [diff] [review]
Cleanup recommended-addons.json to only contain necessary properties

I'm not sure these add-ons have been ported to Native Fennec. We should verify that first or use add-ons that have been ported.
Comment 7 User image Brad Lassey [:blassey] (use needinfo?) 2012-03-18 19:21:13 PDT
Lucas, is anything holding this up?
Comment 8 User image Lucas Rocha (:lucasr) 2012-03-19 02:26:20 PDT
(In reply to Brad Lassey [:blassey] from comment #7)
> Lucas, is anything holding this up?

I need to come up with a list of addons we know it's working with Native Fennec and update the recommended-addons.json file accordingly. Should be doing it this week.
Comment 9 User image Mark Finkle (:mfinkle) (use needinfo?) 2012-03-20 15:58:39 PDT
Madhava, Jaclyn - What current add-ons for Native Fennec would you like listed initially when a user starts up for the first time? Or should we just show nothing until we request the recommended addons from AMO?
Comment 10 User image Mark Finkle (:mfinkle) (use needinfo?) 2012-03-29 12:29:03 PDT
Lucas - OK, my executive decision on this is to grad "Full Screen" by Matt and "Cloud Viewer" by me. Use those two as the hardcoded entries for now.
Comment 11 User image Lucas Rocha (:lucasr) 2012-03-30 08:27:52 PDT
Created attachment 610888 [details] [diff] [review]
Cleanup recommended-addons.json to only contain necessary properties
Comment 12 User image Lucas Rocha (:lucasr) 2012-03-30 08:33:51 PDT
Pushed: http://hg.mozilla.org/integration/mozilla-inbound/rev/301109c61000
Comment 13 User image Ed Morley [:emorley] 2012-03-31 19:39:19 PDT
https://hg.mozilla.org/mozilla-central/rev/301109c61000
Comment 14 User image Lucas Rocha (:lucasr) 2012-04-03 03:04:32 PDT
Comment on attachment 610888 [details] [diff] [review]
Cleanup recommended-addons.json to only contain necessary properties

Mobile only. Release blocker.
Comment 15 User image Alex Keybl [:akeybl] 2012-04-03 15:08:59 PDT
Comment on attachment 610888 [details] [diff] [review]
Cleanup recommended-addons.json to only contain necessary properties

[Triage Comment]
Mobile only & blocking Fennec 1.0. Approved for Aurora 13.
Comment 16 User image Mark Finkle (:mfinkle) (use needinfo?) 2012-04-04 10:10:23 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/65c09980e4c5
Comment 17 User image Cristian Nicolae (:xti) 2012-05-22 08:09:49 PDT
It seems that everything works as expected, both on Nightly and Aurora builds.
Closing bug as verified fixed on:

Firefox 15.0a1 (2012-05-22)
Firefox 14.0a2 (2012-05-22)

Device: Galaxy Nexus
OS: Android 4.0.2

Note You need to log in before you can comment on or make changes to this bug.